%global modname cairosvg
%global srcname CairoSVG
%global py3_prefix python%{python3_pkgversion}

Name:               python-cairosvg
Version:            2.7.0
Release:    3%{?dist}
Summary:            A Simple SVG Converter for Cairo

License:            LGPLv3+
URL:                https://cairosvg.org/
Source0:            %pypi_source
Patch0:             %{name}-disable-flake8-isort.patch

BuildArch:          noarch

BuildRequires:      %{py3_prefix}-devel
BuildRequires:      %{py3_prefix}-cairocffi
BuildRequires:      %{py3_prefix}-cssselect2
BuildRequires:      %{py3_prefix}-defusedxml
BuildRequires:      %{py3_prefix}-pillow
BuildRequires:      %{py3_prefix}-setuptools
BuildRequires:      %{py3_prefix}-pytest
BuildRequires:      %{py3_prefix}-pytest-cov
BuildRequires:      %{py3_prefix}-pytest-runner
BuildRequires:      %{py3_prefix}-xcffib


%description
CairoSVG is a SVG 1.1 to PNG, PDF, PS and SVG converter which can also be used
as a Python library.

%package -n python3-cairosvg
Summary:            A Simple SVG Converter for Cairo

Provides:           python3-CairoSVG



%description -n python3-cairosvg
CairoSVG is a SVG converter based on Cairo. It can export SVG files to PDF,
PostScript and PNG files.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rf %{srcname}.egg-info
mkdir test_non_regression/cairosvg_reference/
cp -a $(ls -1 . | grep -v test_non_regression) test_non_regression/cairosvg_reference/

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v
rm -f %{buildroot}%{python3_sitelib}/%{modname}/test_api.py


%files -n python3-cairosvg
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{srcname}-%{version}-*
%{_bindir}/cairosvg

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.7.0-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.7.0-2
- Rebuilt for loongarch64

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-1
- initial build
